using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
   protected void Page_Load(object sender, EventArgs e)
   {
      if (Page.IsPostBack)
      {
         Response.Write("To jest wywołanie typu postback.");
      }
      else
      {
         Response.Write("To jest nowe wywołanie.");
      }
      Response.Write("<br/>Wywołano Page_Load().<br/>");
   }

   protected override void OnPreInit(EventArgs e)
   {
      Response.Write("Wywołano OnPreInit().<br/>");
      base.OnPreInit(e);
   }

   protected override void OnInit(EventArgs e)
   {
      Response.Write("Wywołano OnInit().<br/>");
      base.OnInit(e);
   }

   protected override void OnInitComplete(EventArgs e)
   {
      Response.Write("Inicjalizacja zakończona.<br/>");
      base.OnInitComplete(e);
   }

   protected override void OnLoad(EventArgs e)
   {
      Response.Write("Wywołano OnLoad().<br/>");
      base.OnLoad(e);
   }

   protected override void OnLoadComplete(EventArgs e)
   {
      Response.Write("Ładowanie zakończone.<br/>");
      base.OnLoadComplete(e);
   }

   protected override void OnUnload(EventArgs e)
   {
      // nie można w tym miejscu niczego wyprowadzić ponieważ
      // Response/Request są niedostępne podczas tego etapu.
      base.OnUnload(e);
   }

   protected void btnSubmit_Click(object sender, EventArgs e)
   {
      Response.Write("Kliknięto przycisk Wyślij.<br/>");
   }
}
